Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgMapPlot Class Reference
[MgMapPlot]

The MgMapPlot class allows the developer to specify the map, the view of the map, the plot specification, and the layout for one sheet within a call to GenerateMultiPlot. More...

Inherits MgNamedSerializable.

List of all members.

## Public Member Functions
MgCoordinate * | GetCenter ()
| Get view center.
bool | GetExpandToFit ()
| Gets flag indicating whether extents of the view of the map should be expanded to fill the space within the page margins.
MgEnvelope * | GetExtent ()
| Get extents of the view of the map.
MgLayout * | GetLayout ()
| Get the layout. This value is optional; if null the map will fill the entire page area within the margins.
MgMap * | GetMap ()
| Get the MgMap object to plot.
INT32 | GetMapPlotInstruction ()
| Get the MapPlotInstruction, which defines how the view of the map to be plotted is defined.
MgPlotSpecification * | GetPlotSpecification ()
| Gets the plot specification.
double | GetScale ()
| Get view scale.
| MgMapPlot (MgMap *map, MgEnvelope *extent, bool expandToFit, MgPlotSpecification *plotSpec, MgLayout *layout)
| Create and initialize an MgMapPlot instance using the specified extents Sets the MapPlotInstruction value appropriately.
| MgMapPlot (MgMap *map, MgCoordinate *center, double scale, MgPlotSpecification *plotSpec, MgLayout *layout)
| Create and initialize an MgMapPlot instance using the specified center and scale. Sets the MapPlotInstruction value appropriately.
| MgMapPlot (MgMap *map, MgPlotSpecification *plotSpec, MgLayout *layout)
| Create and initialize an MgMapPlot instance using the map center and scale. Sets the MapPlotInstruction value appropriately.
void | SetCenterAndScale (MgCoordinate *center, double scale)
| Set the view center and scale of the map.
void | SetExtent (MgEnvelope *extent, bool expandToFit)
| Set the extents of the map.
void | SetLayout (MgLayout *layout)
| Set the layout.
void | SetMap (MgMap *map)
| Set the MgMap object to plot.
void | SetMapPlotInstruction (INT32 plotInstruction)
| Set the MapPlotInstruction, which defines how the view of the map to be plotted is defined.
void | SetPlotSpecification (MgPlotSpecification *plotSpec)
| Set the plot specification.

## Detailed Description

The MgMapPlot class allows the developer to specify the map, the view of the map, the plot specification, and the layout for one sheet within a call to GenerateMultiPlot.

Comments or suggestions? Send us feedback.